using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Microsoft.VisualStudio.Modeling.Validation;

namespace MDC.ProductionSystem
{
    [ValidationState(ValidationState.Enabled)]
    public partial class Generator
    {
        [ValidationMethod(ValidationCategories.Open | ValidationCategories.Save | ValidationCategories.Menu)]
        private void ValidateGeneratorInputs(ValidationContext context)
        {
            if (CB_MA_ConveyorBelts.Count > 0)
                    context.LogError(CustomCode.Validation.ValidationResources.GeneratorIncomingLinkError, "ProductionSystem 01", this);
        }
    }
}
